#!/bin/sh

RRDDIR="/var/www/localhost/rrd"
RRDPREFIX="crypto-"
TMPLDIR="/var/www/localhost/tmpl"

for c in AAVE ALGO BTC CVC DNT EOS ETH LRC LTC REN SNX XLM XTZ;
do
	if [[ ! -f "${RRDDIR}/${RRDPREFIX}${c}.rrd" ]];
	then
		rrdtool create "${RRDDIR}/${RRDPREFIX}${c}.rrd" --step 300 \
			DS:sell:GAUGE:600:0:100000 \
			RRA:AVERAGE:0.5:1:12 \
			RRA:AVERAGE:0.5:1:288 \
			RRA:AVERAGE:0.5:12:168 \
			RRA:AVERAGE:0.5:12:720 \
			RRA:AVERAGE:0.5:288:365
	fi	

	SELL=$(curl -s https://api.coinbase.com/v2/prices/${c}-EUR/sell | jq .data.amount | sed 's/"//g')
	rrdtool update "${RRDDIR}/${RRDPREFIX}${c}.rrd" N:${SELL}

	if [[ ! -f "${TMPLDIR}/${RRDPREFIX}${c}.tmpl" ]];
	then
		cat > "${TMPLDIR}/${RRDPREFIX}${c}.tmpl" << EOF
-v ${c} in EUR
-t ${c} sell
--full-size-mode
--color=BACK#343637
--color=CANVAS#F0F0F0
--color=FONT#F0F0F0
--font=TITLE:12:DejaVu Bold
DEF:sell=${RRDDIR}/${RRDPREFIX}${c}.rrd:sell:AVERAGE
COMMENT:        max.          avg.         min.          cur.\n
AREA:sell#CC9A5760:sell
GPRINT:sell:MAX:%6.4lf %sEUR
GPRINT:sell:AVERAGE:%6.4lf %sEUR
GPRINT:sell:MIN:%6.4lf %sEUR
GPRINT:sell:LAST:%6.4lf %sEUR\n
EOF
	fi
done
